## pytables 3.1.1

=== Makefile ===
# This Makefile is only intended to prepare for distribution the PyTables
# sources exported from a repository.  For building and installing PyTables,
# please use ``setup.py`` as described in the ``README.txt`` file.

VERSION = $(shell cat VERSION)
SRCDIRS = src doc
GENERATED = ANNOUNCE.txt
PYTHON = python
PYPLATFORM = $(shell $(PYTHON) -c "from distutils.util import get_platform; print(get_platform())")
PYVER = $(shell $(PYTHON) -V 2>&1 | cut -c 8-10)
PYBUILDDIR = $(PWD)/build/lib.$(PYPLATFORM)-$(PYVER)
OPT = PYTHONPATH=$(PYBUILDDIR)


.PHONY:		all dist build check heavycheck clean distclean html

all:		$(GENERATED) build
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

dist:		all
	$(PYTHON) setup.py sdist
	cd dist && md5sum tables-$(VERSION).tar.gz > pytables-$(VERSION).md5 && cd -
	cp RELEASE_NOTES.txt dist/RELEASE_NOTES-$(VERSION).txt
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

clean:
	rm -rf MANIFEST build dist tmp tables/__pycache__
	rm -rf bench/*.h5 bench/*.prof
	rm -rf examples/*.h5 examples/raw
	rm -f $(GENERATED) tables/*.so a.out
	find . '(' -name '*.py[co]' -o -name '*~' ')' -exec rm '{}' ';'
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done

distclean:	clean
	for srcdir in $(SRCDIRS) ; do $(MAKE) -C $$srcdir $(OPT) $@ ; done
	rm -f tables/_comp_*.c tables/*extension.c
	#git clean -fdx

html: build
	$(MAKE) -C doc $(OPT) html

%:		%.in VERSION
	cat "$<" | sed -e 's/@VERSION@/$(VERSION)/g' > "$@"

build:
	$(PYTHON) setup.py build

check: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py

heavycheck: build
	cd build/lib.*-$(PYVER) && env PYTHONPATH=. $(PYTHON) tables/tests/test_all.py --heavy

=== requirements.txt ===
numpy>=1.4.1
numexpr>=2.0
cython>=0.13

=== c-blosc/CMakeLists.txt ===
# CMake build system for Blosc
# ============================
#
# Available options:
#
#   BUILD_STATIC: default ON
#       build the static version of the Blosc library
#   BUILD_HDF5_FILTER: default OFF
#       build the compression filter for the HDF5 library
#   BUILD_TESTS: default ON
#       build test programs and generates the "test" target
#   BUILD_BENCHMARKS: default ON
#       build the benchmark program
#   DEACTIVATE_LZ4: default OFF
#       do not include support for the LZ4 library
#   DEACTIVATE_SNAPPY: default OFF
#       do not include support for the Snappy library
#   DEACTIVATE_ZLIB: default OFF
#       do not include support for the Zlib library
#   PREFER_EXTERNAL_COMPLIBS: default ON
#       when found, use the installed compression libs instead of included sources
#   TEST_INCLUDE_BENCH_SINGLE_1: default ON
#       add a test that runs the benchmark program passing "single" with 1 thread
#       as first parameter
#   TEST_INCLUDE_BENCH_SINGLE_N: default ON
#       add a test that runs the benchmark program passing "single" with all threads
#       as first parameter
#   TEST_INCLUDE_BENCH_SUITE: default OFF
#       add a test that runs the benchmark program passing "suite"
#       as first parameter
#   TEST_INCLUDE_BENCH_SUITE_PARALLEL: default OFF
#       add a test that runs the benchmark program passing "parallel"
#       as first parameter
#   TEST_INCLUDE_BENCH_HARDSUITE: default OFF
#       add a test that runs the benchmark program passing "hardsuite"
#       as first parameter
#   TEST_INCLUDE_BENCH_EXTREMESUITE: default OFF
#       add a test that runs the benchmark program passing "extremesuite"
#       as first parameter
#   TEST_INCLUDE_BENCH_DEBUGSUITE: default OFF
#       add a test that runs the benchmark program passing "debugsuite"
#       as first parameter
#
# Components:
#
#    LIB: includes blosc.so
#    DEV: static includes blosc.a and blosc.h
#    HDF5_FILTER: includes blosc_filter.so
#    HDF5_FILTER_DEV: includes blosc_filter.h


cmake_minimum_required(VERSION 2.8)
project(blosc)

# parse the full version numbers from blosc.h
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/blosc/blosc.h _blosc_h_contents)
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_MAJOR[ \t]+([0-9]+).*"
     "\\1" BLOSC_VERSION_MAJOR ${_blosc_h_contents})
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_MINOR[ \t]+([0-9]+).*"
    "\\1" BLOSC_VERSION_MINOR ${_blosc_h_contents})
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_RELEASE[ \t]+([0-9]+).*"
    "\\1" BLOSC_VERSION_PATCH ${_blosc_h_contents})
string(REGEX REPLACE ".*#define[ \t]+BLOSC_VERSION_STRING[ \t]+\"([-0-9A-Za-z.]+)\".*"
    "\\1" BLOSC_VERSION_STRING ${_blosc_h_contents})

message("Configuring for Blosc version: " ${BLOSC_VERSION_STRING})

# options
option(BUILD_STATIC
    "Build a static version of the blosc library." ON)
option(BUILD_HDF5_FILTER
    "Build a blosc based compression filter for the HDF5 library" OFF)
option(BUILD_TESTS
    "Build test programs form the blosc compression library" ON)
option(BUILD_BENCHMARKS
    "Build benchmark programs form the blosc compression library" ON)
option(DEACTIVATE_LZ4
    "Do not include support for the LZ4 library." OFF)
option(DEACTIVATE_SNAPPY
    "Do not include support for the SNAPPY library." OFF)
option(DEACTIVATE_ZLIB
    "Do not include support for the ZLIB library." OFF)
option(PREFER_EXTERNAL_COMPLIBS
    "When found, use the installed compression libs instead of included sources." ON)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")


if(NOT PREFER_EXTERNAL_COMPLIBS)
    message(STATUS "Finding external libraries disabled.  Using internal sources.")
endif(NOT PREFER_EXTERNAL_COMPLIBS)


if(NOT DEACTIVATE_LZ4)
    if(PREFER_EXTERNAL_COMPLIBS)
        find_package(LZ4)
    endif(PREFER_EXTERNAL_COMPLIBS)
    # HAVE_LZ4 will be set to true because even if the library is
    # not found, we will use the included sources for it
    set(HAVE_LZ4 TRUE)
endif(NOT DEACTIVATE_LZ4)

if(NOT DEACTIVATE_SNAPPY)
    if(PREFER_EXTERNAL_COMPLIBS)
        find_package(Snappy)
    endif(PREFER_EXTERNAL_COMPLIBS)
    # HAVE_SNAPPY will be set to true because even if the library is not found,
    # we will use the included sources for it
    set(HAVE_SNAPPY TRUE)
endif(NOT DEACTIVATE_SNAPPY)

if(NOT DEACTIVATE_ZLIB)
    # import the ZLIB_ROOT environment variable to help finding the zlib library
    if(PREFER_EXTERNAL_COMPLIBS)
        set(ZLIB_ROOT $ENV{ZLIB_ROOT})
        find_package( ZLIB )
        if (NOT ZLIB_FOUND )
            message(STATUS "No zlib found.  Using internal sources.")
        endif (NOT ZLIB_FOUND )
    endif(PREFER_EXTERNAL_COMPLIBS)
    # HAVE_ZLIB will be set to true because even if the library is not found,
    # we will use the included sources for it
    set(HAVE_ZLIB TRUE)
endif(NOT DEACTIVATE_ZLIB)

# create the config.h file
configure_file ("blosc/config.h.in"  "blosc/config.h" )
# now make sure that you set the build directory on your "Include" path when compiling
include_directories("${PROJECT_BINARY_DIR}/blosc/")

# force the default build type to Release.
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING
        "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
endif(NOT CMAKE_BUILD_TYPE)


# flags
# @TODO: set -Wall
# @NOTE: -O3 is enabled in Release mode (CMAKE_BUILD_TYPE="Release")

# Set the "-msse2" build flag only if the CMAKE_C_FLAGS is not already set.
# Probably "-msse2" should be appended to CMAKE_C_FLAGS_RELEASE.
if(CMAKE_C_COMPILER_ID STREQUAL GNU OR CMAKE_C_COMPILER_ID STREQUAL Clang)
     if(NOT CMAKE_C_FLAGS)
         set(CMAKE_C_FLAGS -msse2 CACHE STRING "C flags." FORCE)
     endif(NOT CMAKE_C_FLAGS)
endif(CMAKE_C_COMPILER_ID STREQUAL GNU OR CMAKE_C_COMPILER_ID STREQUAL Clang)

if(MSVC)
    if(NOT CMAKE_C_FLAGS)
        set(CMAKE_C_FLAGS "/Ox" CACHE STRING "C flags." FORCE)
    endif(NOT CMAKE_C_FLAGS)
endif(MSVC)

if(WIN32)
    # For some supporting headers
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/blosc")
endif(WIN32)


# subdirectories
add_subdirectory(blosc)

if(BUILD_TESTS)
    enable_testing()
    add_subdirectory(tests)
endif(BUILD_TESTS)

if(BUILD_HDF5_FILTER)
    add_subdirectory(hdf5)
endif(BUILD_HDF5_FILTER)

if(BUILD_BENCHMARKS)
    add_subdirectory(bench)
endif(BUILD_BENCHMARKS)


# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)


# packaging
include(InstallRequiredSystemLibraries)

set(CPACK_GENERATOR TGZ ZIP)
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_PACKAGE_VERSION_MAJOR ${BLOSC_VERSION_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${BLOSC_VERSION_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${BLOSC_VERSION_PATCH})
set(CPACK_PACKAGE_VERSION ${BLOSC_STRING_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.rst")
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY
    "A blocking, shuffling and lossless compression library")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSES/BLOSC.txt")
set(CPACK_SOURCE_IGNORE_FILES "/build.*;.*~;\\\\.git.*;\\\\.DS_Store")
set(CPACK_STRIP_FILES TRUE)
set(CPACK_SOURCE_STRIP_FILES TRUE)

include(CPack)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest all dist distclean

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pytables.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pytables.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pytables"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pytables"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

VERSION = $(shell cat ../VERSION)

all: html
	rm -rf html
	mv  $(BUILDDIR)/html .

dist: all latexpdf
	rm -rf usersguide-$(VERSION).pdf
	mv  $(BUILDDIR)/latex/usersguide-$(VERSION).pdf .
	mkdir -p ../dist
	cp usersguide-$(VERSION).pdf ../dist/pytablesmanual-$(VERSION).pdf
	tar cvzf ../dist/pytablesmanual-$(VERSION)-html.tar.gz html

distclean: clean
	-rm -rf html usersguide-$(VERSION).pdf

=== c-blosc/bench/Makefile ===
CC = gcc  # clang++, g++ or just gcc if not compiling Snappy (C++ code)
CFLAGS = -O3 -g -msse2 -Wall
LDFLAGS = -lpthread  # for UNIX or for Windows with pthread installed
#LDFLAGS = -static  # for mingw
SOURCES = $(wildcard ../blosc/*.c)
EXECUTABLE = bench

# Support for internal LZ4 and LZ4HC
LZ4_DIR = ../internal-complibs/lz4-r113
CFLAGS += -DHAVE_LZ4 -I$(LZ4_DIR)
SOURCES += $(wildcard $(LZ4_DIR)/*.c)

# Support for external LZ4 and LZ4HC
#LDFLAGS += -DHAVE_LZ4 -llz4

# Support for internal Snappy
#SNAPPY_DIR = ../internal-complibs/snappy-1.1.1
#CFLAGS += -DHAVE_SNAPPY -I$(SNAPPY_DIR)
#SOURCES += $(wildcard $(SNAPPY_DIR)/*.cc)

# Support for external Snappy
LDFLAGS += -DHAVE_SNAPPY -lsnappy

# Support for external Zlib
LDFLAGS += -DHAVE_ZLIB -lz

# Support for internal Zlib
#ZLIB_DIR = ../internal-complibs/zlib-1.2.8
#CFLAGS += -DHAVE_ZLIB -I$(ZLIB_DIR)
#SOURCES += $(wildcard $(ZLIB_DIR)/*.c)

SOURCES += bench.c

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(SOURCES)
	$(CC) $(CFLAGS) $(SOURCES) -o $@ $(LDFLAGS)

clean:
	rm -rf $(EXECUTABLE)

=== c-blosc/blosc/CMakeLists.txt ===
# a simple way to detect that we are using CMAKE
add_definitions(-DUSING_CMAKE)

set(INTERNAL_LIBS ${CMAKE_SOURCE_DIR}/internal-complibs)

# includes
if(NOT DEACTIVATE_LZ4)
    if (LZ4_FOUND)
        include_directories( ${LZ4_INCLUDE_DIR} )
    else(LZ4_FOUND)
        set(LZ4_LOCAL_DIR ${INTERNAL_LIBS}/lz4-r113)
        include_directories( ${LZ4_LOCAL_DIR} )
    endif(LZ4_FOUND)
endif(NOT DEACTIVATE_LZ4)

if(NOT DEACTIVATE_SNAPPY)
    if (SNAPPY_FOUND)
        include_directories( ${SNAPPY_INCLUDE_DIR} )
    else(SNAPPY_FOUND)
        set(SNAPPY_LOCAL_DIR ${INTERNAL_LIBS}/snappy-1.1.1)
        include_directories( ${SNAPPY_LOCAL_DIR} )
    endif(SNAPPY_FOUND)
endif(NOT DEACTIVATE_SNAPPY)

if(NOT DEACTIVATE_ZLIB)
    if (ZLIB_FOUND)
        include_directories( ${ZLIB_INCLUDE_DIR} )
    else(ZLIB_FOUND)
        set(ZLIB_LOCAL_DIR ${INTERNAL_LIBS}/zlib-1.2.8)
        include_directories( ${ZLIB_LOCAL_DIR} )
    endif(ZLIB_FOUND)
endif(NOT DEACTIVATE_ZLIB)

# library sources
set(SOURCES blosc.c blosclz.c shuffle.c)
# library install directory
set(lib_dir lib${LIB_SUFFIX})
set(version_string ${BLOSC_VERSION_MAJOR}.${BLOSC_VERSION_MINOR}.${BLOSC_VERSION_PATCH})

set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
if(WIN32)
    # try to use the system library
    find_package(Threads)
    if(NOT Threads_FOUND)
        message(STATUS "using the internal pthread library for win32 systems.")
        set(SOURCES ${SOURCES} win32/pthread.c)
    else(NOT Threads_FOUND)
        set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})
    endif(NOT Threads_FOUND)
else(WIN32)
    find_package(Threads REQUIRED)
    set(LIBS ${LIBS} ${CMAKE_THREAD_LIBS_INIT})
endif(WIN32)

if(NOT DEACTIVATE_LZ4)
    if(LZ4_FOUND)
        set(LIBS ${LIBS} ${LZ4_LIBRARY})
    else(LZ4_FOUND)
        file(GLOB LZ4_FILES ${LZ4_LOCAL_DIR}/*.c)
        set(SOURCES ${SOURCES} ${LZ4_FILES})
    endif(LZ4_FOUND)
endif(NOT DEACTIVATE_LZ4)

if(NOT DEACTIVATE_SNAPPY)
    if(SNAPPY_FOUND)
        set(LIBS ${LIBS} ${SNAPPY_LIBRARY})
    else(SNAPPY_FOUND)
        file(GLOB SNAPPY_FILES ${SNAPPY_LOCAL_DIR}/*.cc)
        set(SOURCES ${SOURCES} ${SNAPPY_FILES})
    endif(SNAPPY_FOUND)
endif(NOT DEACTIVATE_SNAPPY)

if(NOT DEACTIVATE_ZLIB)
    if(ZLIB_FOUND)
        set(LIBS ${LIBS} ${ZLIB_LIBRARY})
    else(ZLIB_FOUND)
        file(GLOB ZLIB_FILES ${ZLIB_LOCAL_DIR}/*.c)
        set(SOURCES ${SOURCES} ${ZLIB_FILES})
    endif(ZLIB_FOUND)
endif(NOT DEACTIVATE_ZLIB)


# targets
add_library(blosc_shared SHARED ${SOURCES})
set_target_properties(blosc_shared PROPERTIES OUTPUT_NAME blosc)
set_target_properties(blosc_shared PROPERTIES
        VERSION ${version_string}
        SOVERSION ${version_string}
    )
target_link_libraries(blosc_shared ${LIBS})

if(BUILD_STATIC)
    add_library(blosc_static STATIC ${SOURCES})
    set_target_properties(blosc_static PROPERTIES OUTPUT_NAME blosc)
    target_link_libraries(blosc_static ${LIBS})
endif(BUILD_STATIC)


# install
install(FILES blosc.h DESTINATION include COMPONENT DEV)
install(TARGETS blosc_shared DESTINATION ${lib_dir} COMPONENT LIB)
if(BUILD_STATIC)
    install(TARGETS blosc_static DESTINATION ${lib_dir} COMPONENT DEV)
endif(BUILD_STATIC)

=== c-blosc/tests/Makefile ===
CC=gcc
CFLAGS=-O3 -msse2 -Wall -pthread
LDFLAGS=-pthread
BLOSC_LIB= $(wildcard ../blosc/*.c)

# The list of executables
# Generated PNG (intermediate) files
SOURCES := $(wildcard *.c)
EXECUTABLES := $(patsubst %.c, %.exe, $(SOURCES))

# Support for internal LZ4 and LZ4HC
LZ4_DIR = ../internal-complibs/lz4-r113
CFLAGS += -DHAVE_LZ4 -I$(LZ4_DIR)
BLOSC_LIB += $(wildcard $(LZ4_DIR)/*.c)

# Support for external LZ4 and LZ4HC
#LDFLAGS += -DHAVE_LZ4 -llz4

# Support for internal Snappy
#SNAPPY_DIR = ../internal-complibs/snappy-1.1.1
#CFLAGS += -DHAVE_SNAPPY -I$(SNAPPY_DIR)
#BLOSC_LIB += $(wildcard $(SNAPPY_DIR)/*.cc)

# Support for external Snappy
LDFLAGS += -DHAVE_SNAPPY -lsnappy

# Support for external Zlib
LDFLAGS += -DHAVE_ZLIB -lz

# Support for internal Zlib
#ZLIB_DIR = ../internal-complibs/zlib-1.2.8
#CFLAGS += -DHAVE_ZLIB -I$(ZLIB_DIR)
#BLOSC_LIB += $(wildcard $(ZLIB_DIR)/*.c)


.PHONY: all
all: $(EXECUTABLES)

test: $(EXECUTABLES)
	sh test_all.sh

%.exe: %.c $(BLOSC_LIB)
	$(CC) $(CFLAGS) $(LDFLAGS) "$<" $(BLOSC_LIB) -o "$@"

clean:
	rm -rf $(EXECUTABLES)

=== debian/changelog ===
pytables (3.1.1-0ubuntu1) trusty; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/control
    - debug package now depend on python(3)-dbg, python(3)-numpy-dbg,
      pyhon(3)-numexpr-dbg instead of recommending them
      (Closes: #742557)
    - use versioned dependency for lzo (>= 0.0~r114) since one of the
      symbols used in blosc is missing in earlier versions
  * debian/patches
    - new patch (0003-Better-control-of-verbosity-in-unittests.patch)
      for better control of verbosity in unittests
    - new patch 0005-Do-not-fetch-icons-for-external-web-sites.patch
      to avoid fetching data from external web sites in html pages of
      the doc
    - the 0003-Only-use-msse2-flag-on-x86_64.patch has been updated
      after the upstream changes and renamed into
      0004-Never-use-the-msse2-flag-explicitly.patch
    - all remaining patches has been refreshed

  [ Julian Taylor ]
  * upload to ubuntu trusty

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 14 Apr 2014 18:47:27 +0200

pytables (3.1.0-2) unstable; urgency=medium

  * Improved the debian/README.source file (added a note about the
    external compression libraries included in the source tree)
  * Only use the -msse2 flag on x86_64 machines

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 05 Mar 2014 22:51:16 +0000

pytables (3.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #734298)
  * Standard version bumped to 3.9.5 (no changes)
  * New python(3)-tables-lib packages.
    The old python(3)-tables packages have been split into
    python(3)-tables (containing common code for all platforms) and
    python(3)-tables-lib (containing only platform specific extensions).
  * New python-tables-data package including all data files used for
    unit testing
  * Added autopkgtests running testsuite
  * debian/patches
    - removed 0001-Fix-detection-of-platforms-supporting-blosc.patch
      (applied upstream)
    - removed 0003-disable-extended-float-support.patch no more
      necessary
    - remaining patches have been refreshed
    - new patch (0002-Use-system-compression-libs.patch) to use
      system compression libraries instead of internal copies
  * debian/control
    - added build dependencies form liblz4-dev and snappy-dev 
  * temporary disabled tests for python3.x-dbg

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 02 Mar 2014 15:47:11 +0000

pytables (3.0.0-2) unstable; urgency=low

  * Explicitly specify the minimum numexpr version in the binary
    package dependency line

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Sep 2013 17:48:09 +0000

pytables (3.0.0-1) experimental; urgency=low

  * New upstream release
  * Fix PDF doc installation after upstream changes
  * Added a man page for the new pt2pt3 command line tool
  * Build-Depend on numexpr >= 2.1
  * Minimum Python version is now 2.6
  * New packages for Python 3
  * debian/patches:
    - Refresh all patches
    - Drop 0002-Fix-detection-od-platforms-supporting-blosc.patch
      (applied upstream)
    - New 0002-use-dynamic-lib.patch (fixes an issue with liblzo2.so
      detection)
    - New patch for disabling extended float support (workaround for an
      upstream bug of HDF5 with gcc-4.8)
  * Fixed the license for win32/pthread.* in the copyright file
    See also https://code.google.com/p/numexpr/issues/detail?id=109#c5

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Sep 2013 17:24:24 +0000

=== debian/control ===
Source: pytables
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>, Yaroslav Halchenko <debian@onerussian.com>
Homepage: http://www.pytables.org
Vcs-Git: git://anonscm.debian.org/debian-science/packages/pytables.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/pytables.git
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 9.0.0), libhdf5-dev,
               python-all-dev, python-all-dbg,
               python3-all-dev, python3-all-dbg,
               python-numpy, python-numpy-dbg,
               python3-numpy, python3-numpy-dbg,
               python-numexpr (>= 2.1), python-numexpr-dbg,
               python3-numexpr, python3-numexpr-dbg,
               cython (>= 0.13), cython-dbg, cython3, cython3-dbg,
               zlib1g-dev, liblzo2-dev, liblz4-dev (>= 0.0~r114),
               libsnappy-dev, libbz2-dev, python-sphinx (>= 1.0.7+dfsg),
               texlive-latex-recommended, texlive-latex-extra,
               texlive-fonts-recommended,
               libjs-jquery-cookie
XS-Testsuite: autopkgtest

Package: python-tables
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-tables-lib (>= ${source:Version}),
         python-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python-numexpr (>=2.1)
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}, vitables
Description: hierarchical database for Python based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This is the Python 2 version of the package.

Package: python-tables-lib
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, python-tables (= ${source:Version})
Replaces: python-tables (<< 3.0.0-3)
Breaks: python-tables (<< 3.0.0-3)
Description: hierarchical database for Python based on HDF5 (extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 2 interpreter.

Package: python-tables-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends},
         python-tables (= ${source:Version}),
         python-tables-lib (= ${binary:Version}),
         python-dbg, python-numpy-dbg, python-numexpr-dbg
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
Description: hierarchical database for Python based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 2 debug interpreter.

Package: python3-tables
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~),
         python-tables-data (= ${source:Version}),
         python3-numexpr
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}, vitables
Description: hierarchical database for Python3 based on HDF5
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This is the Python 3 version of the package.

Package: python3-tables-lib
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, python3-tables (= ${source:Version})
Replaces: python3-tables (<< 3.0.0-3)
Breaks: python3-tables (<< 3.0.0-3)
Description: hierarchical database for Python3 based on HDF5 (extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python3-tables-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
         python3-tables (= ${source:Version}),
         python3-tables-lib (= ${binary:Version}),
         python3-dbg, python3-numpy-dbg, python3-numexpr-dbg
Recommends: ${shlibs:Recommends}
Suggests: python-tables-doc, python-netcdf, ${shlibs:Suggests}
Description: hierarchical database for Python 3 based on HDF5 (debug extension)
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy, Numeric and numarray objects.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-tables-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-jquery-cookie
Suggests: xpdf | pdf-viewer, www-browser
Description: hierarchical database for Python based on HDF5 - documentation
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes the manual in PDF and HTML formats.

Package: python-tables-data
Architecture: all
Depends: ${misc:Depends}
Description: hierarchical database for Python based on HDF5 - test data
 PyTables is a hierarchical database package designed to efficiently
 manage very large amounts of data. PyTables is built on top of the
 HDF5 library and the NumPy package. It features an object-oriented
 interface that, combined with natural naming and C-code generated
 from Pyrex sources, makes it a fast, yet extremely easy to use tool
 for interactively save and retrieve large amounts of data.
 .
 This package includes daya fils used for unit testing.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# Get the supported Python versions
PY2VERS = $(shell pyversions -r -v)
PY3VERS = $(shell py3versions -r -v)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils


build-python%:
	python$* setup.py build
	python$*-dbg setup.py build


override_dh_auto_build: $(PY3VERS:%=build-python%)
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) PWD=$(CURDIR)
	$(MAKE) -C doc PWD=$(CURDIR) latexpdf
	mv doc/build/latex/usersguide-*.pdf doc/usersguide.pdf
else
	$(MAKE) ANNOUNCE.txt
	$(MAKE) -C src all
	mkdir -p doc/html
	touch doc/usersguide.pdf
endif
	dh_auto_build --buildsystem=python_distutils


install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	python$*-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb


override_dh_auto_install: $(PY3VERS:%=install-python%)
	dh_auto_install


override_dh_install:
	# Install everything excluding the *.so extensions to python(3)-tables
	dh_install -X"*.so" -X"*.h5" -X"*.xbm" -X"*.dat" -X"*.mat" "debian/tmp/usr/lib/python2*" -p python-tables
	dh_install -X"*.so" -X"*.h5" -X"*.xbm" -X"*.dat" -X"*.mat" "debian/tmp/usr/lib/python3*" -p python3-tables

	# Install the extensions to python(3)-tables-lib
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*/*-packages/tables/*.so" -p python-tables-lib
	find debian/python-tables-lib -name '*_d.so' | xargs -r rm -f
	dh_install -X"*dmu.so" -X"*dm.so" "debian/tmp/usr/lib/python3*/*-packages/tables/*.so" -p python3-tables-lib
	find debian/python3-tables-lib -name '*.cpython-??dm-*.so' | xargs -r rm -f

	# Install the debug extensions to python(3)-tables-dbg
	dh_install "debian/tmp/usr/lib/python2*/*-packages/tables/*_d.so" -p python-tables-dbg
	dh_install "debian/tmp/usr/lib/python3*/*-packages/tables/*.cpython-??dm*.so" -p python3-tables-dbg

	# Continue with regular dh_install
	dh_install -p python-tables-doc
	dh_install -p python-tables-data

	# link data files
	for py in $(PY2VERS); do \
		for f in debian/tmp/usr/lib/python2*/*-packages/tables/tests/*.h5 \
		         debian/tmp/usr/lib/python2*/*-packages/tables/tests/*.mat; do \
			dh_link -p python-tables usr/share/python-tables/tests/$$(basename $$f) usr/lib/python$$py/dist-packages/tables/tests/$$(basename $$f); \
		done; \
		for f in debian/tmp/usr/lib/python2*/*-packages/tables/nodes/tests/*.h5 \
		         debian/tmp/usr/lib/python2*/*-packages/tables/nodes/tests/*.xbm \
		         debian/tmp/usr/lib/python2*/*-packages/tables/nodes/tests/*.dat; do \
			dh_link -p python-tables usr/share/python-tables/nodes/tests/$$(basename $$f) usr/lib/python$$py/dist-packages/tables/nodes/tests/$$(basename $$f); \
		done; \
	done

	for f in debian/tmp/usr/lib/python3*/*-packages/tables/tests/*.h5 \
	         debian/tmp/usr/lib/python3*/*-packages/tables/tests/*.mat; do \
		dh_link -p python3-tables usr/share/python-tables/tests/$$(basename $$f) usr/lib/python3/dist-packages/tables/tests/$$(basename $$f); \
	done
	for f in debian/tmp/usr/lib/python3*/*-packages/tables/nodes/tests/*.h5 \
	         debian/tmp/usr/lib/python3*/*-packages/tables/nodes/tests/*.xbm \
	         debian/tmp/usr/lib/python3*/*-packages/tables/nodes/tests/*.dat; do \
		dh_link -p python3-tables usr/share/python-tables/nodes/tests/$$(basename $$f) usr/lib/python3/dist-packages/tables/nodes/tests/$$(basename $$f); \
	done

	dh_numpy
	dh_numpy3
	# using override_dh_auto_test causes problems for dbg versions
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PY2VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. python$$py tables/tests/test_all.py -vvv; \
		cd $(CURDIR)/debian/tmp/usr/lib/python$$py/dist-packages; \
		env PYTHONPATH=. python$$py-dbg tables/tests/test_all.py -vvv; \
	done
	set -e -x; \
	for py in $(PY3VERS); do \
		cd $(CURDIR)/build/lib.*-$$py; \
		env PYTHONPATH=. python$$py tables/tests/test_all.py -vvv; \
		#cd $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages; \
		#env PYTHONPATH=. python$$py-dbg tables/tests/test_all.py -vvv; \
	done
endif


override_dh_auto_clean:
	# Avoid unnecessary cythonization (see
	# https://github.com/PyTables/PyTables/issues/122)
	#dh_auto_clean --buildsystem=python_distutils
	$(MAKE) distclean
	rm -f doc/*.pdf


override_dh_sphinxdoc:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	dh_sphinxdoc -ppython-tables-doc
	rm -f $(CURDIR)/debian/python-tables-doc/usr/share/doc/python-tables-doc/html/_static/jquery.cookie.js
endif


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.txt


override_dh_compress:
	dh_compress -X.txt -X.pdf -X.py -X.h5


.PHONY: override_dh_auto_build override_dh_auto_install override_dh_auto_clean \
        override_dh_sphinxdoc override_dh_install \
        override_dh_installchangelogs override_dh_compress

=== debian/tests/control ===
Tests: python2
Depends: python-tables, python-all

Tests: python2-dbg
Depends: python-tables-dbg, python-all-dbg

Tests: python3
Depends: python3-tables, python3-all

#Tests: python3-dbg
#Depends: python3-tables-dbg, python3-all-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/alpha/~alpha/;s/beta/~beta/;s/rc/~rc/;s/b/~b/ \
    http://githubredir.debian.net/github/PyTables/PyTables/ v.(.+).tar.gz
